﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace XamDataGridColumnVisibility
{
  
   public class User : INotifyPropertyChanged
   {
       private string name;
       public string Name
       {
           get { return name; }
           set { name = value; }
       }

       private int age;
       public int Age
       {
           get { return age; }
           set { age = value; }
       }

       private bool _isAdmin;
       public bool IsAdmin
       {
           get { return _isAdmin; }
           set { _isAdmin = value; if (PropertyChanged != null) PropertyChanged(this, new PropertyChangedEventArgs("IsAdmin")); }
       }

       private List<User> _userList;
       public List<User> UserFriendList
       {
           get { return _userList; }
           set { _userList = value; if (PropertyChanged != null) PropertyChanged(this, new PropertyChangedEventArgs("UserFriendList")); }
       }

       public event PropertyChangedEventHandler PropertyChanged;
   }
}
